
%
% Script para obtener una malla armonica 1D
% dada una funcion y un coeficiente de adaptividad
% resolviendo el problema de optimizacion por
% quasi-newton y llevando a cabo una homotopia en
% el parametro de regularizacion
%
%
% Copyright(R) Geometria Analitica II, 2005
%
clear all;
close all;


%
% Definimos ventanas de graficacion
% para la malla en alpha-beta y para el cono
%

logico_fig=figure( ... 
        'Name','Plano \alpha-\beta (Dominio logico)', ...
        'NumberTitle','off', ... 
        'Visible','off', ...
        'DoubleBuffer','on', ...
        'BackingStore','off',...
        'Units','normalized',...
        'Position',[0.01 .55 .38 .38],...
        'Color',[.8 .8 .8]);      
       axes( ... 
        'HandleVisibility','on', ...
        'Visible','off', ... 
        'DrawMode','fast', ...
        'Color','none');
fisico_fig=figure( ... 
        'Name','Cono (Dominio Fisico)', ...
        'NumberTitle','off', ... 
        'Visible','off', ...
        'DoubleBuffer','on', ...
        'BackingStore','off',...
        'Units','normalized',...
        'Position',[0.01 .0455 .38 .38],...
        'Color',[.8 .8 .8]);      
       axes( ... 
        'HandleVisibility','on', ...
        'Visible','off', ... 
        'DrawMode','fast', ...
        'Color','none');

info =['                                                  ';
       'Rutina para visualizar el mapeo no lineal         ';
       'entre el plano \alpha-\beta y el cono             ';
       '                                                  ';
       ' Idea: Construir una cuadricula en \alpha-beta    ';
       '       y mapear esta para observar como transforma';
       '       cada segmento de linea.                    ';
       '                                                  '];    

clc;
disp(info);
ab = input('Dame el punto inferior izquierdo de la cuadricula (a,b)');
cd = input('Dame el punto superior derecho de la cuadricula (c,d)');

m = input('Cual es el numero de lineas verticales ');
n = input('Cual es el numero de lineas horizontales ');

alpha=linspace(ab(1),cd(1),m);
beta = linspace(ab(2),cd(2),n);

%
% Construimos la cuadricula en el dominio fisico
%
[ALPHA,BETA]=meshgrid(alpha,beta);

set(logico_fig,'Visible','on');
plot(ALPHA,BETA,ALPHA',BETA','g');
%
% Mapeamos la regilla
%
X = (-1-ALPHA.*BETA)./(ALPHA+BETA);
Y = 0.5 *(ALPHA-BETA)./(ALPHA+BETA);
Z = (-1+ALPHA.*BETA)./(3*(ALPHA+BETA));
%
% Initial distribution
%
set(fisico_fig,'Visible','on');   
plot3(X,Y,Z, X',Y',Z','b');



